ATA_DO_SIMPLE_CMD(9)

NAME
ata_do_simple_cmd - Set port up for dma.

SYNOPSIS

int ata_do_simple_cmd (struct ata_port * ap, struct ata_device * dev, u8 cmd);

ARGUMENTS

ap  Port to initialize

dev -- undescribed --

cmd -- undescribed --

DESCRIPTION

Called just after data structures for each port are initialized. Allocates space for PRD table.

May be used as the port_start entry in ata_port_operations.

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.